fbpx

Vulnerabilidades no Lightning Network do Bitcoin

Diferentes vulnerabilidades na camada de transações Lightning Network que foram reveladas no final de agosto agora estão ativas e podem resultar na perda de fundos das contas.

Através destas vulnerabilidades agentes maliciosos supostamente conseguiram escapar com alguns Bitcoins da rede. Entretanto não foi divulgado o tamanho real do impacto causado pelos atacantes.

O Lightning Network é um protocolo de pagamento de “Camada 2” que opera sobre uma criptomoeda baseada em blockchain, como o Bitcoin. Ele foi projetado para permitir transações rápidas através um sistema “Peer-to-Peer” para realizar micro pagamentos de criptomoeda por meio de uma rede de canais de pagamento alternativa.

“Também gostaríamos de lembrar à comunidade que ainda temos limites na rede para mitigar a perda generalizada de fundos, e lembre-se disso ao colocar fundos na rede nesta fase inicial”, disse Olaoluwa Osuntokun, CTO do Lightning Labs.

Osuntokun postou no site da Linux Foundation que os usuários da Bitcoin Lightning Network que não atualizaram seus sistemas para as últimas versões corrigidas ainda estão em risco, por isso é necessário a breve atualização para a nova versão.

VERSÕES

CVE-2019-12998 – c lightning  0.7 ou inferior é vulnerável
CVE-2019-12999 – lnd 0.7 ou inferior é vulnerável
CVE-2019-13000 – eclair 0.3 ou inferior é vulnerável

Fonte: scmagazine




Menu